import processing.serial.*;
import processing.video.*;

Kamera kamera;
Antrieb antrieb;

double t = 0.0;
double tstart = 0.0; //Systemzeit

int CAMBREITE = 640; 
int CAMHOEHE  = 480; 

iModus MODUS = new Modus0();

void setup() 
{
  size(1300, 700);

  kamera = new Kamera(this,CAMBREITE,CAMHOEHE);
  antrieb = new Antrieb(this);
  
  frameRate(50);
}

void draw() 
{
  fill(0);
  noStroke();
  rect(CAMBREITE,0,CAMBREITE,CAMHOEHE);
  rect(0,CAMHOEHE,CAMBREITE*2,CAMHOEHE);
  
  
  noStroke();
  fill(255,100,100);
  textSize(40);

  if(MODUS!=null)
      MODUS.perform();
}

void keyPressed()
{
    if(key=='0')
    {
         MODUS = new Modus0(); 
    }
    else if(key=='a')
    if(key=='1')
    {
         MODUS = new Modus0(); 
    }
    else if(key=='a')
    {
         MODUS = new ModusA(); 
    }
}
