public class Modus0 implements iModus
{
    private double Siy_alt = 0.0;
    private double t = 0.0;
    private double t_alt = 0.0;
    private double dt = 0.001;

    private double vortrieb_alt = 0.0;
    private double[] v = new double[100];

    private int index_v = 0;
    
    public Modus0()
    {
          t = 0.001*(double)System.currentTimeMillis();
          t_alt = t;
          dt = 0.02;
    }
    
    public void perform()
    {
          antrieb.setzeAntrieb(0,0);
          
          t = 0.001*(double)System.currentTimeMillis();
          dt = t-t_alt;
          if(dt<0.001)
              dt = 0.02;
              
  
          kamera.auffrischen();
          kamera.zeigeKamerabild(0,0);  
          double Si = kamera.bestimmeSchwerpunktRotX();        
          double Siy = kamera.bestimmeSchwerpunktGruenY();        
          double abweichung= (CAMBREITE/2) - Si;
          
          
          double v_vortrieb = (Siy-Siy_alt)/dt;
          
//          if(v_vortrieb==0.0 && vortrieb_alt!=0.0)
//              v_vortrieb = vortrieb_alt;

          v[index_v] = v_vortrieb;
          index_v++;
          index_v%=v.length;
          
          double v_mittel = 0.0;
          for(int tt=0;tt<v.length;tt++)
              v_mittel+=v[tt];
          v_mittel/=(double)v.length;    
          
          noStroke();
          stroke(255,0,0);
          line((float)Si+CAMBREITE,0,(float)Si+CAMBREITE,CAMHOEHE);
          stroke(0,255,0);
          line(0,(float)Siy,CAMBREITE,(float)Siy);
          text("Modus 0: Nur Kamerabild und Schwerpunkt",100,CAMHOEHE+50);
          text("Abweichung: "+abweichung,100,CAMHOEHE+100);
          text("Geschw. Pixel/s: "+v_mittel,100,CAMHOEHE+150);
          
          Siy_alt = Siy;
          t_alt =t;
          vortrieb_alt = v_vortrieb;
    }
}
